Skip to content

Update a customer

PATCH/customers/{id}

Costs 2 rate-limit points · Rate limits

Update a customer

Path parameters

  • idintegerRequired

Request body

  • customerobjectRequired
    Show 7 child attributesHide child attributes
    • emailstring
      Example: jane.doe@example.com
    • first_namestring
      Example: Jane
    • last_namestring
      Example: Doe
    • phonestring
      Example: +1 555 010 0199
    • tax_numberstring
      Example: US-12-3456789
    • eori_numberstring
    • tagsstring
      Example: wholesale, vip

Returns

The customer object.

Errors

401

Missing or invalid API key.

403

The store is not on a paid plan. API access requires a paid Invoice Falcon plan.

404

Resource not found.

422

Request could not be processed.

429

Rate limit exceeded. Check X-RateLimit-Reset header.

PATCH/customers/{id}
curl -X PATCH "https://app.invoicefalcon.com/api/v1/external/customers/{id}" \
  -H "X-Auth-Token: $INVOICE_FALCON_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "customer": {
      "id": 9177,
      "email": "jane.doe@example.com",
      "first_name": "Jane",
      "last_name": "Doe",
      "phone": "+1 555 010 0199",
      "tax_number": "US-12-3456789",
      "eori_number": null,
      "tags": "wholesale, vip",
      "shopify_customer_id": 7001234567,
      "created_at": "2025-09-21T16:45:00Z",
      "updated_at": "2026-01-16T10:05:00Z"
    }
  }'
Response
{
  "customer": {
    "id": 9177,
    "email": "jane.doe@example.com",
    "first_name": "Jane",
    "last_name": "Doe",
    "phone": "+1 555 010 0199",
    "tax_number": "US-12-3456789",
    "eori_number": null,
    "tags": "wholesale, vip",
    "shopify_customer_id": 7001234567,
    "created_at": "2025-09-21T16:45:00Z",
    "updated_at": "2026-01-16T10:05:00Z"
  }
}